/* Copyright (C) 2002 MySQL AB & Jorge del Conde

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.
    
  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA 
*/

#ifndef CTEXTEDITOR_H
#define CTEXTEDITOR_H

#include "editor.h"
#include "CMySQLConnection.h"
#include "Config.h"

class Editor;

class CTextEditor : public Editor
{
  Q_OBJECT
public:
  CTextEditor (QWidget * parent, const char * name = 0, CMySQLConnection *m=0);
  ~CTextEditor();

protected:
  virtual void mouseReleaseEvent(QMouseEvent * e);

public slots:
  void save();  
  void openFile();

private:
  CMySQLConnection *mysql;  
  QString tmpFileName;  
};

#endif