/* Copyright (C) 2002 MySQL AB & Jorge del Conde

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.
    
  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free
  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA 
*/

#ifndef ICONS_H
#define ICONS_H

#include "../xpm/infoDialogPicture.xpm"
#include "../xpm/aboutIcon.xpm"
#include "../xpm/applicationIcon.xpm"
#include "../xpm/copyIcon.xpm"
#include "../xpm/cutIcon.xpm"
#include "../xpm/findIcon.xpm"
#include "../xpm/openIcon.xpm"
#include "../xpm/pasteIcon.xpm"
#include "../xpm/printIcon.xpm"
#include "../xpm/redoIcon.xpm"
#include "../xpm/saveIcon.xpm"
#include "../xpm/undoIcon.xpm"
#include "../xpm/newWindowIcon.xpm"
#include "../xpm/pkIcon.xpm"
#include "../xpm/mulIcon.xpm"
#include "../xpm/uniIcon.xpm"
#include "../xpm/nothingIcon.xpm"
#include "../xpm/otherIcon.xpm"
#include "../xpm/refreshIcon.xpm"
#include "../xpm/closedFolderIcon.xpm"
#include "../xpm/databaseConnectedIcon.xpm"
#include "../xpm/databaseConnectIcon.xpm"
#include "../xpm/databaseDisconnectedIcon.xpm"
#include "../xpm/databaseDisconnectIcon.xpm"
#include "../xpm/deleteIcon.xpm"
#include "../xpm/designIcon.xpm"
#include "../xpm/exportTableIcon.xpm"
#include "../xpm/importTableIcon.xpm"
#include "../xpm/newTableIcon.xpm"
#include "../xpm/openFolderIcon.xpm"
#include "../xpm/openTableIcon.xpm"
#include "../xpm/refreshTablesIcon.xpm"
#include "../xpm/registerServerIcon.xpm"
#include "../xpm/serverConnectedIcon.xpm"
#include "../xpm/serverDisconnectedIcon.xpm"
#include "../xpm/tableIcon.xpm"
#include "../xpm/toolsIcon.xpm"
#include "../xpm/editIcon.xpm"
#include "../xpm/newDatabaseIcon.xpm"
#include "../xpm/trashIcon.xpm"
#include "../xpm/saveAllIcon.xpm"
#include "../xpm/cascadeIcon.xpm"
#include "../xpm/exitIcon.xpm"
#include "../xpm/closeIcon.xpm"
#include "../xpm/closeAllIcon.xpm"
#include "../xpm/tileIcon.xpm"
#include "../xpm/windowIcon.xpm"
#include "../xpm/selectQueryIcon.xpm"
#include "../xpm/tablesIcon.xpm"
#include "../xpm/appendQueryIcon.xpm"
#include "../xpm/cancelQueryIcon.xpm"
#include "../xpm/deleteQueryIcon.xpm"
#include "../xpm/executeQueryIcon.xpm"
#include "../xpm/gridIcon.xpm"
#include "../xpm/newTableQueryIcon.xpm"
#include "../xpm/queryTypesIcon.xpm"
#include "../xpm/sqlIcon.xpm"
#include "../xpm/updateQueryIcon.xpm"
#include "../xpm/contextHelpIcon.xpm"
#include "../xpm/fontsIcon.xpm"
#include "../xpm/stylesIcon.xpm"
#include "../xpm/hammerIcon.xpm"
#include "../xpm/renameTableIcon.xpm"
#include "../xpm/serverAdministrationIcon.xpm"
#include "../xpm/showVariablesIcon.xpm"
#include "../xpm/showStatusIcon.xpm"
#include "../xpm/showProcessListIcon.xpm"
#include "../xpm/pingIcon.xpm"
#include "../xpm/serverShutdownIcon.xpm"
#include "../xpm/flushIcon.xpm"
#include "../xpm/timerIcon.xpm"
#include "../xpm/killProcessIcon.xpm"
#include "../xpm/warningIcon.xpm"
#include "../xpm/criticalIcon.xpm"
#include "../xpm/informationIcon.xpm"
#include "../xpm/propertiesIcon.xpm"
#include "../xpm/chooseFieldsIcon.xpm"
#include "../xpm/clearGridIcon.xpm"
#include "../xpm/checkedIcon.xpm"
#include "../xpm/uncheckedIcon.xpm"
#include "../xpm/loadIcon.xpm"
#include "../xpm/savePixmapIcon.xpm"
#include "../xpm/flipHIcon.xpm"
#include "../xpm/flipVIcon.xpm"
#include "../xpm/rotateIcon.xpm"
#include "../xpm/bits32Icon.xpm"
#include "../xpm/bits8Icon.xpm"
#include "../xpm/bit1Icon.xpm"
#include "../xpm/historyScriptIcon.xpm"
#include "../xpm/saveGridResultsIcon.xpm"
#include "../xpm/userIcon.xpm"
#include "../xpm/databaseUsersIcon.xpm"
#include "../xpm/newUserIcon.xpm"
#include "../xpm/editUserIcon.xpm"
#include "../xpm/deleteUserIcon.xpm"
#include "../xpm/databaseUsersDisconnectedIcon.xpm"
#include "../xpm/globalPrivsIcon.xpm"
#include "../xpm/printerFontIcon.xpm"
#include "../xpm/deleteRowIcon.xpm"
#include "../xpm/insertRowIcon.xpm"
#include "../xpm/ftIcon.xpm"
#include "../xpm/plusIcon.xpm"
#include "../xpm/minusIcon.xpm"
#include "../xpm/leftArrowIcon.xpm"
#include "../xpm/rightArrowIcon.xpm"
#include "../xpm/eraserIcon.xpm"
#include "../xpm/emptyPkIcon.xpm"

#endif

