#
# spec file for MyCC
# (c) 2002 MySQL AB
#
Name: 		mycc
Version: 0.8.4
Release:	0
License:	GPL
Group:		Applications/Databases
Autoreqprov:	on

Summary:	The MySQL Control Center
URL:		http://www.mysql.com/products/mycc/
Source:		%{name}-%{version}-src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%define prefix /usr

%description
MyCC is a platform independent graphical MySQL administration client.
It is based on Trolltech's Qt toolkit.

%prep
%setup -n %{name}-%{version}-src
%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/%{name}/translations
install -m 755 MyCC $RPM_BUILD_ROOT%{prefix}/bin
install -m 644 {*.wav,syntax.txt} $RPM_BUILD_ROOT%{prefix}/lib/%{name}
install -m 644 translations/*.{qm,ts} \
               $RPM_BUILD_ROOT%{prefix}/lib/%{name}/translations

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc Changelog.txt INSTALL.txt LICENSE.txt README.txt TODO.txt
%{prefix}/bin/MyCC
%{prefix}/lib/%{name}

%changelog

* Fri Apr 19 2002 Lenz Grimmer <lenz@mysql.com>

- initial version
